View Issue Details

IDProjectCategoryView StatusLast Update
0000940luatexto be consideredpublic2018-02-25 17:10
Reporterluigi scarsoAssigned Toluigi scarso 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionno change required 
Product Version 
Target Versionsome day (> v 1)Fixed in Version 
Summary0000940: maybe use md5 functions from poppler instead of old ones (deep down)
Descriptionluamd5 can be replaced by similar functions of poppler.
We keep the md5 namespace and the same functions sum, exor, crypt and decrypt
but we can replace the implementation with calls to poppler.
Steps To Reproducedo we really want that dependency
Additional Informationmoved forward, maybe after 1.0, maybe combined with sha library
TagsNo tags attached.

Activities

luigi scarso

2015-06-17 20:36

developer   ~0001387

We should consider also source/texk/web2c/libmd5, used in source/texk/web2c/luatexdir/pdf/pdfgen.w and source/texk/web2c/luatexdir/utils/utils.w .

Issue History

Date Modified Username Field Change
2015-06-17 11:29 luigi scarso New Issue
2015-06-17 11:29 luigi scarso Status new => assigned
2015-06-17 11:29 luigi scarso Assigned To => luigi scarso
2015-06-17 20:36 luigi scarso Note Added: 0001387
2015-10-23 09:02 Hans Hagen Product Version 0.80.1 =>
2015-10-23 09:02 Hans Hagen Target Version 0.80.2 => 0.85.0
2015-10-23 09:03 Hans Hagen Category feature request => to be considered
2015-10-23 09:03 Hans Hagen Steps to Reproduce Updated View Revisions
2015-10-23 09:23 Hans Hagen Summary Replace md5 => maybe use md5 functions from poppler instead of old ones (deep down)
2016-07-19 22:05 Hans Hagen Additional Information Updated View Revisions
2016-07-19 22:07 Hans Hagen Target Version 0.85.0 => some day (> v 1)
2018-02-25 17:10 Hans Hagen Status assigned => closed
2018-02-25 17:10 Hans Hagen Resolution open => no change required